"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the content of a Block.
 */
class BlockStatementMutator {
    constructor() {
        this.name = 'BlockStatement';
    }
    mutate(node) {
        return types.isBlockStatement(node) && node.body.length > 0
            ? [
                [node, NodeGenerator_1.NodeGenerator.createMutatedCloneWithProperties(node, { body: [] })],
            ]
            : [];
    }
}
exports.default = BlockStatementMutator;
//# sourceMappingURL=BlockStatementMutator.js.map