"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class StringLiteralMutator {
    constructor() {
        this.name = 'StringLiteral';
    }
    mutate(node) {
        if (types.isTemplateLiteral(node)) {
            return [
                [
                    node,
                    {
                        raw: node.quasis.length === 1 && node.quasis[0].value.raw.length === 0 ? '"Stryker was here!"' : '""',
                    },
                ],
            ];
        }
        else if ((!node.parent || this.isDeclarationOrJSX(node.parent)) && types.isStringLiteral(node)) {
            return [[node, { raw: node.value.length === 0 ? '"Stryker was here!"' : '""' }]];
        }
        else {
            return [];
        }
    }
    isDeclarationOrJSX(parent) {
        return !types.isImportDeclaration(parent) && !types.isExportDeclaration(parent) && !types.isJSXAttribute(parent);
    }
}
exports.default = StringLiteralMutator;
//# sourceMappingURL=StringLiteralMutator.js.map