"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
class UnaryOperatorMutator {
    constructor() {
        this.name = 'UnaryOperator';
        this.operators = {
            '+': '-',
            '-': '+',
            '~': '',
        };
    }
    mutate(node) {
        if (types.isUnaryExpression(node) && this.operators[node.operator] !== undefined && node.prefix) {
            return this.operators[node.operator].length > 0
                ? [[node, NodeGenerator_1.NodeGenerator.createMutatedCloneWithProperties(node, { operator: this.operators[node.operator] })]]
                : [[node, node.argument]];
        }
        return [];
    }
}
exports.default = UnaryOperatorMutator;
//# sourceMappingURL=UnaryOperatorMutator.js.map